Об уязвимости W-Fi – окончание

Опубликовано Опубликовано в рубрике Новости, Обзоры

Начало: ссылка.

 

31 Окт. Apple выпустила обновления для macOS, iOS, Apple Watch и Apple TV.

Только не для всех устройств.

1. Роутеры Apple

Согласно этому документу, последнее обновление семейства AirPort (Time Capsule, AirPort Extreme и AirPort Express) вышло в Декабре 2016 (версия 7.7.8).

31 Окт. устройства AirPort не обновлялись. И, похоже, не будут. Потому, что:

  1. Apple свернула производства своих роутеров (без паники: они продолжают выпускаться, продаваться и поддерживаться. Их перестали разрабатывать, а инженеры этого проекта расформированы в другие).
  2. Для решения проблемы их обновлять и не нужно. Причина уязвимости – т.н. «4-кратное рукопожатие» происходит на стороне компьютера, телефона планшета и т.д., а не роутера.

 

2. Mac

Согласно этому документу, уязвимость устранена на всех Mac с установленными macOS High Sierra 10.13.1, macOS Sierra 10.12.6 и OS X El Capitan 10.11.6.

Номер и год модели не важен: если стоит последняя версия одной из перечисленных ОС, значит, всё в порядке.

 

3. iOS

Согласно этому документу, уязвимость устранена только в iPhone 7 и выше, и в iPad Pro 9.7-inch (early 2016) и выше.

Смелые головы утверждают, что остальные устройства просто не подвержены данной уязвимости. И количество безмозглых «обозревателей» нас всегда веселило (правда, число читающих их статьи ужасает). Но однозначного ответа на этот вопрос нет в сети даже на сегодняшний день и компания Apple по этому поводу почему-то молчит.

При этом, указанный выше документ находится в списке обновлений безопасности с заголовком «Available for: iPhone 5s and later, iPad Air and later, and iPod touch 6th generation»:

Но что именно «доступно для» – обновление iOS 11.1 (тогда почему в разделе «Обновления безопасности») или само обновление, исправляющее уязвимость «KRACK» (тогда почему перечислены не все модели, поддерживающие iOS 11), непонятно.

 

4. Apple Watch

Согласно этому документу, уязвимость устранена во всех моделях всех поколений с установленной watchOS 4.1.

 

5. Apple TV

Согласно этому документу, уязвимость устранена только в Apple TV 4K.